List network pools

GET/v1/network_pools

To list all the network pools, send a GET request to the /v1/network_pools endpoint.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

search_pattern?string

This pattern is used to return resources containing the parameter value in its name.

label_selector?string

This parameter will filter results by labels. More details in the Labels section.

location_id?integer

A unique identifier of the pool's location. A request to list all the location IDs is described in the Location block.

type?string

A type of the pools that will be taken to the output. It can be private or public.

Value in

  • "public"
  • "private"
per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id.

Default"id"

Value in

  • "id"
  • "created_at"
  • "updated_at"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

curl -X GET "https://example.com/v1/network_pools"
[  {    "id": "olejRejN",    "title": "Public Pool",    "cidr": "100.10.32.0/29",    "type": "public",    "location_ids": [      1    ],    "location_codes": [      "location1"    ],    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "updated_at": "2026-05-28T06:54:43Z",    "created_at": "2026-05-28T06:54:43Z"  },  {    "id": "pmbk5ezJ",    "title": "Public Pool",    "cidr": "100.10.32.8/29",    "type": "public",    "location_ids": [      1    ],    "location_codes": [      "location1"    ],    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "updated_at": "2026-05-28T06:54:43Z",    "created_at": "2026-05-28T06:54:43Z"  },  {    "id": "MvbmOeYA",    "title": "CPN",    "cidr": "10.128.0.0/23",    "type": "private",    "location_ids": [      1    ],    "location_codes": [      "location1"    ],    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "updated_at": "2026-05-28T06:54:43Z",    "created_at": "2026-05-28T06:54:44Z"  }]